Resolve cases for an entity
curl --request PATCH \
--url https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'apiKey: <api-key>' \
--data '
{
"filter": {
"caseIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"needsAttention": true,
"resultTypes": [
"AML",
"CUSTOMER",
"FRAUD"
]
}
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases"
payload = { "filter": {
"caseIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"needsAttention": True,
"resultTypes": ["AML", "CUSTOMER", "FRAUD"]
} }
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
apiKey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
caseIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
needsAttention: true,
resultTypes: ['AML', 'CUSTOMER', 'FRAUD']
}
})
};
fetch('https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"successful": {
"count": 123
},
"failed": {
"count": 123
}
}{
"requestId": "<string>"
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}Cases
Resolve cases for an entity
deprecated
Request that the cases for an entity are all updated with the same information as provided in the request. You can use this operation to resolve a set of cases for an entity.
PATCH
/
entity
/
{entityId}
/
cases
Resolve cases for an entity
Authorizations
API key issued by FrankieOne. This will rotate regularly.
Headers
Your Customer ID provided by FrankieOne
Example:
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
Example:
"87654321-4321-4321-4321-210987654321"
Path Parameters
Unique identifier of a FrankieOne entity The unique identifier for a FrankieOne entity construct
Example:
"98ded7ac-2457-4bde-b27c-fcee05301262"
Body
application/json
Response
Response from the PATCH /entity/{entityId}/cases endpoint
Was this page helpful?
⌘I